import '@testing-library/cypress/add-commands';
import 'cypress-real-events';

// https://docs.cypress.io/api/commands/hover
Cypress.Commands.add('hover', (selector: string) => {
    if (!selector) {
        throw new Error('You must provide a valid selector to hover over.');
    }

    return cy.get(selector).then(($el) => {
        if ($el.length === 0) {
            throw new Error(`No elements found for selector: ${selector}`);
        }

        if (Cypress.browser.name !== 'firefox') {
            return cy.wrap($el).realHover();
        }

        return cy.wrap($el).trigger('mouseover', { force: true });
    });
});
