import { SpringComponentProps as RSSpringComponentProps, TransitionComponentProps as RSTransitionComponentProps, UseSpringProps as RSUseSpringProps, UseTransitionProps as RSUseTransitionProps } from '@react-spring/web';
declare function useAnimation({ immediate, ...otherProps }: RSUseSpringProps): {
    [x: string]: any;
    [x: number]: any;
};
declare function useAnimationTransition(items: any, { immediate, ...otherProps }: RSUseTransitionProps): import("@react-spring/core").TransitionFn<any, {
    [x: string]: any;
    [x: number]: any;
    [Symbol.hasInstance]: (value: any) => boolean;
}>;
/**
 * Wrappers to use in place of `Spring` and `Transition` from `react-spring`.
 * Uses `useAnimationToggle` to offer animation control.
 */
declare function Spring({ children, immediate, ...otherProps }: RSSpringComponentProps): JSX.Element | null;
declare function Transition({ items, children, immediate, ...otherProps }: RSTransitionComponentProps<any>): JSX.Element;
export { Spring, Transition, useAnimation, useAnimationTransition };
