import React from 'react';
import PropTypes from 'prop-types';
interface AnimationToggleProps {
    /**
     * What to render when animations are turned on.
     */
    on: React.ReactNode | (() => React.ReactNode);
    /**
     * What to render when animations are turned off, or when the user prefers reduced motion
     * and the `reduced` prop isn't set.
     */
    off: React.ReactNode | (() => React.ReactNode);
    /**
     * What to render when the user prefers reduced motion.
     */
    reduced?: React.ReactNode | (() => React.ReactNode);
}
/**
 * Used to allow animation to be externally controlled through a provider or user preference.
 */
declare function AnimationToggle({ on, off, reduced }: AnimationToggleProps): React.ReactElement;
declare namespace AnimationToggle {
    var propTypes: {
        on: PropTypes.Validator<NonNullable<NonNullable<PropTypes.ReactNodeLike>>>;
        off: PropTypes.Validator<NonNullable<NonNullable<PropTypes.ReactNodeLike>>>;
        reduced: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
    };
}
export default AnimationToggle;
