import React from 'react';
import PropTypes from 'prop-types';
interface AnimationToggleProviderProps {
    children?: React.ReactNode;
    /**
     * Enables animation in components that use `AnimationToggle` or `useAnimationToggle`.
     */
    enabled?: boolean;
}
/**
 * Used to provide a setting to enable or disable animation.
 */
declare const AnimationToggleProvider: {
    ({ children, enabled }: AnimationToggleProviderProps): React.JSX.Element;
    propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        enabled: PropTypes.Requireable<boolean>;
    };
};
export { AnimationToggleProvider };
