import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface ButtonGroupPropsBase {
    /**
     * Must be `Button`.
     */
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
}
type ButtonGroupProps = ComponentProps<ButtonGroupPropsBase, 'div'>;
declare function ButtonGroup({ children, elementRef, ...otherProps }: ButtonGroupProps): React.JSX.Element;
declare namespace ButtonGroup {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default ButtonGroup;
