import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
type DateGridChangeHandler = (event: React.MouseEvent<HTMLDivElement> | React.KeyboardEvent<HTMLDivElement>, data: {
    value: string;
}) => void;
interface DateGridPropsBase {
    displayValue: string;
    highlightToday?: boolean;
    labelledBy?: string;
    locale?: string;
    onChange?: DateGridChangeHandler;
    onInternalChange?: DateGridChangeHandler;
    selectedValue: string;
    todayValue?: string;
}
type DateGridProps = ComponentProps<DateGridPropsBase, 'div'>;
declare function DateGrid({ displayValue, highlightToday, labelledBy, locale, onChange, onInternalChange, selectedValue, todayValue, ...otherProps }: DateGridProps): React.JSX.Element;
declare namespace DateGrid {
    var propTypes: {
        displayValue: PropTypes.Validator<string>;
        highlightToday: PropTypes.Requireable<boolean>;
        labelledBy: PropTypes.Requireable<string>;
        locale: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onInternalChange: PropTypes.Requireable<(...args: any[]) => any>;
        selectedValue: PropTypes.Validator<string>;
        todayValue: PropTypes.Requireable<string>;
    };
}
export default DateGrid;
export { DateGridChangeHandler };
