import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
type MonthHeaderChangeHandler = (event: React.MouseEvent<HTMLAnchorElement | HTMLButtonElement>, data: {
    value: string;
}) => void;
interface MonthHeaderPropsBase {
    onChange?: MonthHeaderChangeHandler;
    headingId?: string;
    locale?: string;
    value: string;
}
type MonthHeaderProps = ComponentProps<MonthHeaderPropsBase, 'div'>;
declare function MonthHeader({ headingId, locale, onChange, value, ...otherProps }: MonthHeaderProps): React.JSX.Element;
declare namespace MonthHeader {
    var propTypes: {
        headingId: PropTypes.Requireable<string>;
        locale: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        value: PropTypes.Validator<string>;
    };
}
export default MonthHeader;
export { MonthHeaderChangeHandler };
