import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface BodyPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /**
     * When true renders the `Card.Body` with padding. When false renders the `Card.Body` without padding. Default to true.
     */
    inset?: boolean;
}
type BodyProps = ComponentProps<BodyPropsBase, 'div'>;
/**
 * A styled container for `Card` body content.
 */
declare function Body({ children, inset, ...otherProps }: BodyProps): React.JSX.Element;
declare namespace Body {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        inset: PropTypes.Requireable<boolean>;
    };
}
export default Body;
