import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface FooterPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
}
type FooterProps = ComponentProps<FooterPropsBase, 'div'>;
/**
 * A styled container for `Card` footer content.
 */
declare function Footer({ children, ...otherProps }: FooterProps): React.JSX.Element;
declare namespace Footer {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default Footer;
