import React from 'react';
import { TextProps } from '@splunk/react-ui/Text';
import { naLowercase, transparent } from './Swatch';
type ColorInputChangeHandler = (event: React.KeyboardEvent<HTMLInputElement> | React.MouseEvent<HTMLButtonElement>, data: {
    value?: string | null;
}) => void;
type ColorInputProps = {
    /** Allow "transparent" as a valid value */
    allowTransparent?: boolean;
    /** Append removes rounded borders and the border from the right side. */
    append?: boolean;
    inputRef?: React.Ref<HTMLInputElement>;
    onChange?: ColorInputChangeHandler;
    /** Prepend removes rounded borders from the left side. */
    prepend?: boolean;
    /** Show a button for the system color picker */
    showPicker?: boolean;
    /** Show a button for submitting the value */
    showSubmitButton?: boolean;
    value?: string | null;
    /** Whether or not the value is a custom value */
    valueIsCustom?: boolean;
} & Omit<TextProps, 'onChange' | 'value'>;
declare const ColorInput: ({ allowTransparent, append, disabled, inputRef, labelledBy, onChange, showPicker, showSubmitButton, value, valueIsCustom, ...otherProps }: ColorInputProps) => React.JSX.Element;
export default ColorInput;
export { naLowercase, transparent };
export type { ColorInputChangeHandler };
