import React from 'react';
import { ColorInputChangeHandler } from './ColorInput';
import { ComponentProps } from '../utils/types';
interface PalettePropsBase {
    /**
     * This ref is passed to the swatch that should be focused for Color to control focus.
     * If the color is not in the palette, this is the ref to the text input instead.
     */
    activeInputRef: React.RefObject<HTMLButtonElement & HTMLInputElement> | null;
    /**
     * Callback for handling when a swatch is selected
     */
    onChange: ColorInputChangeHandler;
    /**
     * Complete list of palettes values to be rendered as swatches
     */
    palette?: (string | null)[];
    /**
     * Current value of the Color input
     */
    value?: string | null;
}
type PaletteProps = ComponentProps<PalettePropsBase, 'div'> & {
    disabled?: boolean;
};
export declare const defaultPalette: string[];
declare function Palette({ activeInputRef, disabled, onChange, palette: paletteProp, value: valueProp, ...otherProps }: PaletteProps): React.JSX.Element;
export default Palette;
