import React from 'react';
import { naLowercase, transparent } from './SwatchStyles';
type SwatchClickHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    value?: string | null;
}) => void;
interface SwatchPropsBase {
    /** Append removes border from the right side. */
    append?: boolean;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLButtonElement>;
    /** @private */
    error?: boolean;
    /** @private. Call back function when activated. */
    onClick?: SwatchClickHandler;
    /** This has no effect on the appearance at this time but is recommend to be used when a
     * control is joined to the left. Styles may change in the future. */
    prepend?: boolean;
    /** The color of the swatch to be shown.
     * String values must be a valid hex value or `'transparent'`.
     * Invalid strings will render as `null`. */
    value?: string | null;
    /** @private */
    showSelected?: boolean;
}
declare const Swatch: React.ForwardRefExoticComponent<SwatchPropsBase & Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref" | "css" | keyof SwatchPropsBase> & React.RefAttributes<HTMLAnchorElement | HTMLButtonElement>>;
export default Swatch;
export { naLowercase, transparent };
export type { SwatchPropsBase, SwatchClickHandler };
