import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface ColumnPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** @private. This prop must only inherit from parent component */
    gutter?: number;
    /** The number of columns the element spans. */
    span?: number;
}
type ColumnProps = ComponentProps<ColumnPropsBase, 'div'>;
declare function Column({ children, elementRef, gutter, span, ...otherProps }: ColumnProps): React.JSX.Element;
declare namespace Column {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        /** @private. */
        gutter: PropTypes.Requireable<number>;
        span: PropTypes.Requireable<number>;
    };
}
export default Column;
