import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface RowPropsBase {
    /** Set vertical alignment of columns in a row */
    alignItems?: 'start' | 'end' | 'center' | 'stretch';
    /** `children` must be `ColumnLayout.Column` elements */
    children?: React.ReactNode;
    /** @private. This prop must only inherit from parent component */
    divider?: boolean;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** @private. This prop must only inherit from parent component */
    gutter?: number;
}
type RowProps = ComponentProps<RowPropsBase, 'div'>;
declare function Row({ alignItems, children, divider, elementRef, gutter, ...otherProps }: RowProps): React.JSX.Element;
declare namespace Row {
    var propTypes: {
        alignItems: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** @private. */
        divider: PropTypes.Requireable<boolean>;
        elementRef: PropTypes.Requireable<object>;
        /** @private. */
        gutter: PropTypes.Requireable<number>;
    };
}
export default Row;
