import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface DescriptionPropsBase {
    children: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLElement>;
}
type DescriptionProps = ComponentProps<DescriptionPropsBase, 'dd'>;
/**
 * Container component for a `DefinitionList` description.
 */
declare function Description({ children, elementRef, ...otherProps }: DescriptionProps): React.JSX.Element;
declare namespace Description {
    var propTypes: {
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default Description;
