import React from 'react';
import { SwitchCheckboxWithSomeClickHandler } from '@splunk/react-ui/Switch';
import { ComponentProps } from '../utils/types';
type ListboxLabelSwitchClickHandler = SwitchCheckboxWithSomeClickHandler;
interface ListboxLabelPropsBase {
    /**
     * ID for the label. Used to label the switch and associated listbox.
     */
    id: string;
    /**
     * The list index, used in layout.
     */
    index: number;
    /**
     * Associated listbox id.
     */
    listId: string;
    /**
     * Name associated to the label and listbox. Used for event callbacks.
     */
    name: string;
    /**
     * Toggle callback for the "select-all" switch.
     */
    onSwitchClick: ListboxLabelSwitchClickHandler;
    /**
     * The value of this option and the label shown for it.
     */
    value: string;
}
type ListboxLabelProps = ComponentProps<ListboxLabelPropsBase, 'div'>;
declare function ListboxLabel({ id, index, listId, name, onSwitchClick, value }: ListboxLabelProps): React.JSX.Element | null;
declare namespace ListboxLabel {
    var propTypes: React.WeakValidationMap<ListboxLabelPropsBase>;
}
export default ListboxLabel;
export { ListboxLabelSwitchClickHandler };
