import React from 'react';
export type ButtonClickHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    name: string;
}) => void;
export type UpdateCallbackHandler = (name: string, callback?: React.DispatchWithoutAction) => void;
export type GetButtonStateHandler = (value: string) => {
    disabled: boolean;
};
export interface ToolbarContextValue {
    updateButtonRefreshHookByName?: UpdateCallbackHandler;
    onButtonClick?: ButtonClickHandler;
    getButtonState?: GetButtonStateHandler;
}
/**
 * A React context used to inform subcomponets of Toolbar of parent component values.
 * The context interface is `ToolbarContextValue`.
 * Defaults to `'{}'`.
 * @public
 */
declare const ToolbarContext: React.Context<ToolbarContextValue>;
export default ToolbarContext;
