import React from 'react';
import PropTypes from 'prop-types';
type RowKeyDownHandler = (event: React.KeyboardEvent<HTMLButtonElement>, data: {
    index: number;
}) => void;
/** @public */
type RowRequestRemoveHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    index: number;
}) => void;
interface RowPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** Index of the row. This is required if the rows are sortable. */
    index?: number;
    /** Callback when Remove button is clicked. */
    onRequestRemove?: RowRequestRemoveHandler;
    /** The contents of Row */
    value?: React.ReactNode;
}
declare function Row({ children, elementRef, ...otherProps }: RowPropsBase): React.JSX.Element;
declare namespace Row {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        index: PropTypes.Requireable<number>;
        onRequestRemove: PropTypes.Requireable<(...args: any[]) => any>;
        value: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
}
export default Row;
export type { RowKeyDownHandler, RowPropsBase, RowRequestRemoveHandler };
