import React from 'react';
/** @public */
type RowRequestRemoveHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    index: number;
}) => void;
interface RowInternalPropsBase {
    children?: React.ReactNode;
    /** Index of the row. This is required if the rows are sortable. */
    index?: number;
    /** Callback when Remove button is clicked. */
    onRequestRemove?: RowRequestRemoveHandler;
    renderDragHandle?: () => React.ReactNode;
    style?: React.CSSProperties;
    /** The contents of Row */
    value?: React.ReactNode;
}
declare const RowInternal: React.ForwardRefExoticComponent<RowInternalPropsBase & React.RefAttributes<HTMLDivElement>>;
export default RowInternal;
export type { RowInternalPropsBase, RowRequestRemoveHandler };
