import React from 'react';
type RowKeyDownHandler = (event: React.KeyboardEvent<HTMLButtonElement>, data: {
    index: number;
}) => void;
/** @public */
type RowRequestRemoveHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    index: number;
}) => void;
interface RowPropsBase {
    children?: React.ReactNode;
    /** Index of the row. This is required if the rows are sortable. */
    index?: number;
    /** Callback when Remove button is clicked. */
    onRequestRemove?: RowRequestRemoveHandler;
    /** The contents of Row */
    value?: React.ReactNode;
}
declare const Row: React.ForwardRefExoticComponent<RowPropsBase & React.RefAttributes<HTMLDivElement>>;
export default Row;
export type { RowKeyDownHandler, RowPropsBase, RowRequestRemoveHandler };
