import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface LayoutPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts, and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
}
type LayoutProps = ComponentProps<LayoutPropsBase, 'div'>;
/**
 * Renders a container to layout children using standard spacing values.
 */
export declare function Layout({ children, elementRef, ...otherProps }: LayoutProps): React.JSX.Element;
export declare namespace Layout {
    var propTypes: {
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default Layout;
export type { LayoutProps, LayoutPropsBase };
