import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface ItemPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLLIElement>;
}
type ItemProps = ComponentProps<ItemPropsBase, 'li'>;
/**
 * A container for items of a `List`.
 */
declare function Item({ children, elementRef, ...otherProps }: ItemProps): React.JSX.Element;
declare namespace Item {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default Item;
