import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface HeadingPropsBase {
    children?: React.ReactNode;
    /**
     * Renders this heading as a title to describe the whole `Menu`, which should only
     * be enabled for the first heading in a `Menu`.
     */
    title?: boolean;
    outerStyle?: React.CSSProperties;
}
type HeadingProps = ComponentProps<HeadingPropsBase, 'div'>;
/**
 * A non-interactive `Menu` item used to separate and label groups of `Menu` items.
 */
declare function Heading({ children, outerStyle, title, ...otherProps }: HeadingProps): React.JSX.Element;
declare namespace Heading {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        title: PropTypes.Requireable<boolean>;
        outerStyle: PropTypes.Requireable<object>;
    };
    var filterConsecutive: boolean;
    var filterLast: boolean;
    var as: string;
}
export default Heading;
