import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface MessagePropsBase {
    /**
     *
     * Changes the style of the Message.
     *
     */
    appearance?: 'default' | 'fill';
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /**
     * Includes a remove button if set. Only set this prop when using the `fill` appearance.
     */
    onRequestRemove?: React.MouseEventHandler<HTMLButtonElement | HTMLAnchorElement>;
    /** Sets the severity or type of this `Message`. */
    type?: 'info' | 'warning' | 'error' | 'success';
}
type MessageProps = ComponentProps<MessagePropsBase, 'div'>;
declare function Message({ appearance, children, elementRef, onRequestRemove, type, ...otherProps }: MessageProps): React.JSX.Element;
declare namespace Message {
    var propTypes: {
        appearance: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        onRequestRemove: PropTypes.Requireable<(...args: any[]) => any>;
        type: PropTypes.Requireable<string>;
    };
    var Title: typeof import("./Title").default;
}
export default Message;
