import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface FooterPropsBase {
    children?: React.ReactNode;
    /**
     * Controls the layout and styling for children.
     *
     * `auto` will style children for common use cases, such as: buttons; controls; documentation links; or a combination.
     * Set `none` when custom styling is needed.
     */
    layout?: 'auto' | 'none';
}
type FooterProps = ComponentProps<FooterPropsBase, 'div'>;
/**
 * A styled container for `Modal` footer content.
 */
declare function Footer({ children, layout, ...otherProps }: FooterProps): React.JSX.Element;
declare namespace Footer {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        layout: PropTypes.Requireable<string>;
    };
}
export default Footer;
