import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface NonInteractiveCheckboxPropsBase {
    disabled?: boolean;
    selected?: boolean | 'some';
}
type NonInteractiveCheckboxProps = ComponentProps<NonInteractiveCheckboxPropsBase, 'div'>;
/**
 * NonInteractiveCheckbox is a private component that replaced our internal usage of Switch's interactive={false}
 * for components like Menu.Item, Table.Toggle, etc. (SUI-6757)
 *
 */
declare const NonInteractiveCheckbox: {
    ({ className, disabled, selected }: NonInteractiveCheckboxProps): React.JSX.Element;
    propTypes: {
        disabled: PropTypes.Requireable<boolean>;
        selected: PropTypes.Requireable<NonNullable<string | boolean | null | undefined>>;
    };
};
export default NonInteractiveCheckbox;
export { NonInteractiveCheckboxPropsBase };
