import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
type PaginatorButtonClickHandler = (event: React.MouseEvent<HTMLButtonElement>, data: {
    page?: number;
}) => void;
interface PaginatorButtonPropsBase {
    children?: React.ReactNode;
    /** Prevents user from clicking the button. */
    disabled?: boolean;
    /** Callback for button click event */
    onClick?: PaginatorButtonClickHandler;
    /** Index of page */
    page?: number;
    /** @private */
    selected?: boolean;
}
type PaginatorButtonProps = ComponentProps<PaginatorButtonPropsBase, 'button'>;
declare function PaginatorButton({ children, disabled, onClick, page, ...otherProps }: PaginatorButtonProps): React.JSX.Element;
declare namespace PaginatorButton {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        disabled: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        page: PropTypes.Requireable<number>;
    };
}
export default PaginatorButton;
export { PaginatorButtonClickHandler };
