import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
/** @public */
type PaginatorPageSelectChangeHandler = (event: React.MouseEvent<HTMLButtonElement> | React.KeyboardEvent<HTMLInputElement>, data: {
    page: number;
}) => void;
interface PaginatorPageSelectPropsBase {
    /**
     * Currently selected page.
     */
    current: number;
    /**
     * Callback to handle page change.
     */
    onChange?: PaginatorPageSelectChangeHandler;
    /**
     * The total number of pages.
     */
    totalPages: number;
}
type PageControlProps = ComponentProps<PaginatorPageSelectPropsBase, 'div'>;
declare function PageSelect({ onChange, current, totalPages, ...otherProps }: PageControlProps): React.JSX.Element;
declare namespace PageSelect {
    var propTypes: {
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        current: PropTypes.Requireable<number>;
        totalPages: PropTypes.Requireable<number>;
    };
}
export default PageSelect;
export type { PaginatorPageSelectChangeHandler };
