import React from 'react';
import PropTypes from 'prop-types';
import { Styled } from './ParagraphStyles';
import { ComponentProps } from '../utils/types';
interface ParagraphPropsBase {
    /** Generally text, but might also include `Link`s. */
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLParagraphElement>;
}
type ParagraphProps = ComponentProps<ParagraphPropsBase, 'p'>;
declare function Paragraph({ children, elementRef, ...otherProps }: ParagraphProps): React.JSX.Element;
declare namespace Paragraph {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default Paragraph;
export { Styled as StyledParagraph };
