import React from 'react';
import PropTypes from 'prop-types';
interface PopoverContextProps {
    children?: React.ReactNode;
    /**
     * Whether or not to hide the arrow pointing to the `Popover` anchor.
     *
     * `Popover`'s `hideArrow` prop takes priority over this.
     */
    hideArrow?: boolean;
}
declare const PopoverContext: React.Context<PopoverContextProps>;
/**
 * Provides a method for controlling certain `Popover` props in components that use `Popover`.
 */
declare const PopoverProvider: {
    ({ children, hideArrow }: PopoverContextProps): React.JSX.Element;
    propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        hideArrow: PropTypes.Requireable<boolean>;
    };
};
export { PopoverContext, PopoverProvider };
