import React from 'react';
import PropTypes from 'prop-types';
import { ProseElementSelectors } from '@splunk/themes/mixins';
import { ComponentProps } from '../utils/types';
type ProseElementTypes = 'article' | 'div' | 'aside' | 'main' | 'section';
type ProsePropsBase = {
    /**
     * Tag for the element to render children into.
     * Use the most semantically appropriate tag.
     */
    as?: ProseElementTypes;
    children: React.ReactNode;
    elementSelectors?: ProseElementSelectors;
    elementRef?: React.Ref<HTMLElement>;
};
type ProseProps = ComponentProps<ProsePropsBase, 'section'>;
/**
 * Prose styles `@splunk/react-ui` content components for readability with long-form text content.
 */
export declare function Prose({ elementRef, as, children, elementSelectors, ...otherProps }: ProseProps): React.JSX.Element;
export declare namespace Prose {
    var propTypes: {
        as: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        elementSelectors: PropTypes.Requireable<object>;
    };
}
export default Prose;
