import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface ScreenReaderContentPropsBase {
    children: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLSpanElement>;
}
type ScreenReaderContentProps = ComponentProps<ScreenReaderContentPropsBase, 'span'>;
/**
 * The screen reader text is used to wrap content that
 * is only accessible through screen readers.
 */
declare function ScreenReaderContent({ children, elementRef, ...otherProps }: ScreenReaderContentProps): React.JSX.Element;
declare namespace ScreenReaderContent {
    var propTypes: {
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        elementRef: PropTypes.Requireable<object>;
    };
}
export default ScreenReaderContent;
