import React from 'react';
/**
 * A React context used to manage a custom scroll container for child elements
 * that need to react to scrolling. The context type is `Window | Document | HTMLElement | null | undefined`.
 * Defaults to `window`. Consumers of this context must gracefully handle values
 * of `null` and `undefined`.
 * @public
 */
declare const ScrollContainerContext: React.Context<HTMLElement | Window | Document | null | undefined>;
/**
 * `ScrollContainerProvider` is an alias of `ScrollContainerContext.Provider`.
 * @public
 */
declare const ScrollContainerProvider: React.Provider<HTMLElement | Window | Document | null | undefined>;
export default ScrollContainerContext;
export { ScrollContainerContext, ScrollContainerProvider };
