import React from 'react';
import PropTypes from 'prop-types';
import Panel from './Panel';
import { ComponentProps } from '../utils/types';
interface SlidingPanelsPropsBase {
    activePanelId: string | number;
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** An additional className to inner container. */
    innerClassName?: string;
    innerStyle?: React.CSSProperties;
    onAnimationEnd?: () => void;
    /** An additional className to outer container. */
    outerClassName?: string;
    outerStyle?: React.CSSProperties;
    /** Direction to slide the panel */
    transition?: 'forward' | 'backward';
}
type SlidingPanelsProps = ComponentProps<SlidingPanelsPropsBase, 'div'>;
declare function SlidingPanels({ activePanelId, children, elementRef, innerClassName, innerStyle, onAnimationEnd, outerClassName, outerStyle, transition, ...otherProps }: SlidingPanelsProps): React.JSX.Element;
declare namespace SlidingPanels {
    var propTypes: {
        activePanelId: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        innerClassName: PropTypes.Requireable<string>;
        innerStyle: PropTypes.Requireable<object>;
        onAnimationEnd: PropTypes.Requireable<(...args: any[]) => any>;
        outerClassName: PropTypes.Requireable<string>;
        outerStyle: PropTypes.Requireable<object>;
        transition: PropTypes.Requireable<string>;
    };
    var Panel: typeof import("./Panel").default;
}
export default SlidingPanels;
export { Panel };
