import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface StaticContentPropsBase {
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts, and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** When true, display as inline-block with auto width. */
    inline?: boolean;
    labelledBy?: string;
}
type StaticContentProps = ComponentProps<StaticContentPropsBase, 'div'>;
/**
 * This component is intended for use in a control group, either to display a static value or
 * between two controls.
 */
declare function StaticContent({ children, elementRef, inline, labelledBy, ...otherProps }: StaticContentProps): React.JSX.Element;
declare namespace StaticContent {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        inline: PropTypes.Requireable<boolean>;
        labelledBy: PropTypes.Requireable<string>;
    };
}
export default StaticContent;
