import type { DropdownRequestCloseHandler } from '@splunk/react-ui/Dropdown';
import type { TabClickHandler, TabFocusHandler } from './Tab';
export interface TabBarContext {
    active?: string;
    disabled?: boolean;
    focusedTabId?: string;
    iconPosition?: 'above' | 'left';
    layout?: 'horizontal' | 'vertical';
    maxTabWidth?: number | null;
    onClick?: TabClickHandler;
    onFocus?: TabFocusHandler;
    onMenuOpen: (menusTabId: string) => void;
    onMenuClose: DropdownRequestCloseHandler;
    isMenuOpen: boolean;
    registerTab: ({ tabId, element, index, }: {
        tabId: string;
        element: HTMLButtonElement | HTMLAnchorElement | null;
        index: number;
    }) => void;
    activeTabId?: string;
}
export declare const TabBarContext: import("react").Context<TabBarContext>;
export default TabBarContext;
