import React from 'react';
import PropTypes from 'prop-types';
import { RowRequestMoveRowHandler } from './Row';
import { ComponentProps } from '../utils/types';
type BodyRequestMoveRowHandler = RowRequestMoveRowHandler;
interface BodyPropsBase {
    /** @private. Generally passed by Table rather than added directly. */
    actions?: boolean;
    /**
     * Must be `Table.Row`.
     */
    children?: React.ReactNode;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLTableSectionElement>;
    /** @private. Generally passed by Table rather than added directly. */
    movableColumns?: boolean;
    /** @private. Generally passed by Table rather than added directly. */
    rowExpansion?: 'single' | 'multi' | 'none' | 'controlled';
    /** @private. Generally passed by Table rather than added directly. */
    onRequestMoveRow?: BodyRequestMoveRowHandler;
    /** Indicates the column to use as the primary label for each row.   */
    primaryColumnIndex?: number;
    /** @private. Generally passed by Table rather than added directly. */
    stripeRows?: boolean;
}
type BodyProps = ComponentProps<BodyPropsBase, 'tbody'>;
declare function Body({ actions, children, elementRef, movableColumns, onRequestMoveRow, rowExpansion, primaryColumnIndex, stripeRows, ...otherProps }: BodyProps): React.JSX.Element | null;
declare namespace Body {
    var propTypes: {
        /** @private. Generally passed by Table rather than added directly. */
        actions: PropTypes.Requireable<boolean>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        elementRef: PropTypes.Requireable<object>;
        /** @private. Generally passed by Table rather than added directly. */
        movableColumns: PropTypes.Requireable<boolean>;
        /** @private. Generally passed by Table rather than added directly. */
        rowExpansion: PropTypes.Requireable<string>;
        /** @private. Generally passed by Table rather than added directly. */
        onRequestMoveRow: PropTypes.Requireable<(...args: any[]) => any>;
        /** @private. Generally passed by Table rather than added directly. */
        primaryColumnIndex: PropTypes.Requireable<number>;
        /** @private. Generally passed by Table rather than added directly. */
        stripeRows: PropTypes.Requireable<boolean>;
    };
    var splunkUiType: string;
}
export default Body;
