import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface CaptionPropsBase {
    children: React.ReactNode;
    /** The location of the caption relative to the table. */
    side?: 'top' | 'bottom';
}
type CaptionProps = ComponentProps<CaptionPropsBase, 'caption'>;
/**
 * Tables that use a docked header must place the caption on the bottom side.
 * Tables that use a fixed header cannot use captions.
 */
declare function Caption({ children, side, ...otherProps }: CaptionProps): React.JSX.Element;
declare namespace Caption {
    var propTypes: {
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        side: PropTypes.Requireable<string>;
    };
    var splunkUiType: string;
}
export default Caption;
