import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface HeadTablePropsBase {
    cellWidths: number[];
    dragIndex?: number;
    elementRef?: React.Ref<HTMLDivElement>;
    hasDragColumn?: boolean;
    hasRowExpansion?: boolean;
    hasRowSelection?: boolean;
    headType: 'docked' | 'fixed';
    horizontalOffset?: number;
    isFixedColumn?: boolean;
    rowSelection?: 'all' | 'some' | 'none';
    tableStyle?: React.CSSProperties;
    tableWidth: number;
    tHead: React.ReactElement;
    top: number;
    width: number;
}
type HeadTableProps = ComponentProps<HeadTablePropsBase, 'table'>;
/**
 * @private
 * HeadTable is an internal component that provides a detached table head that can
 * then be positioned in different ways outside of the main table.
 */
declare function HeadTable({ cellWidths, elementRef, hasDragColumn, hasRowExpansion, hasRowSelection, headType, horizontalOffset, isFixedColumn, tableStyle, tableWidth, tHead, top, width, ...otherProps }: HeadTableProps): React.JSX.Element;
declare namespace HeadTable {
    var propTypes: {
        cellWidths: PropTypes.Validator<(number | null | undefined)[]>;
        dragIndex: PropTypes.Requireable<number>;
        elementRef: PropTypes.Requireable<object>;
        hasDragColumn: PropTypes.Requireable<boolean>;
        hasRowExpansion: PropTypes.Requireable<boolean>;
        hasRowSelection: PropTypes.Requireable<boolean>;
        headType: PropTypes.Validator<string>;
        horizontalOffset: PropTypes.Requireable<number>;
        isFixedColumn: PropTypes.Requireable<boolean>;
        rowSelection: PropTypes.Requireable<string>;
        tableStyle: PropTypes.Requireable<object>;
        tableWidth: PropTypes.Validator<number>;
        tHead: PropTypes.Validator<PropTypes.ReactElementLike>;
        top: PropTypes.Validator<number>;
        width: PropTypes.Validator<number>;
    };
}
export default HeadTable;
