import React from 'react';
import PropTypes from 'prop-types';
import { ComponentProps } from '../utils/types';
interface WaitSpinnerPropsBase {
    children?: never;
    /**
     * A React ref which is set to the DOM element when the component mounts and null when it unmounts.
     */
    elementRef?: React.Ref<HTMLDivElement>;
    /** A string to display to screen readers. Set the prop to `null` or an empty string to hide the
     * spinner from screen readers, such as when there is already a text label beside it. */
    screenReaderText?: string | null;
    /**
     * Size of WaitSpinner.
     */
    size?: 'small' | 'medium' | 'large';
}
type WaitSpinnerProps = ComponentProps<WaitSpinnerPropsBase, 'div'>;
declare function WaitSpinner({ elementRef, screenReaderText, size, ...otherProps }: WaitSpinnerProps): React.JSX.Element;
declare namespace WaitSpinner {
    var propTypes: {
        elementRef: PropTypes.Requireable<object>;
        screenReaderText: PropTypes.Requireable<string>;
        size: PropTypes.Requireable<string>;
    };
}
export default WaitSpinner;
