/**
 * Polyfill imports needed for this library to support IE11
 *
 * - React
 *   - recommends Map and Set: https://reactjs.org/docs/javascript-environment-requirements.html
 * - react-spring
 *   - components that use `Popover` require `Promise`, `Set`, `Symbol`, and `Object.entries`
 *   - `SlidingPanel` requires `Array.findIndex` and `String.startsWith`
 * - react-sortable-hoc
 *   - requires Array.find, Array.from
 * */
import 'core-js/es/map';
import 'core-js/es/set';
import 'core-js/es/promise';
import 'core-js/es/symbol';
import 'core-js/es/array/find';
import 'core-js/es/array/find-index';
import 'core-js/es/array/from';
import 'core-js/es/object/entries';
import 'core-js/es/string/starts-with';
