import { MutableRefObject } from 'react';
interface DefaultValueProps {
    componentProps: {
        [key: string]: any;
    };
    componentName?: string;
    defaultValuePropName?: string;
    valuePropName?: string;
}
/**
 * This is a private component not intended for use outside @splunk/react-ui
 *
 * A hook that accepts a default value (as used in an uncontrolled component)
 * and validates that actions that aren't valid in an uncontrolled component
 * such as updating the default value, combining default value with value, etc.
 * are not happening.
 *
 * Return the controlled state of the component.
 */
declare function useControlled({ componentProps, componentName, defaultValuePropName, valuePropName, }: DefaultValueProps): MutableRefObject<boolean>['current'];
export default useControlled;
export { DefaultValueProps };
