import { MutableRefObject } from 'react';
/**
 * This is a private component not intended for use outside @splunk/react-ui
 *
 * Keeps the previous version of a value. Useful for emulating the "prevState"
 * argument to componentDidUpdate() in functional components.
 * See https://reactjs.org/docs/hooks-faq.html#how-to-get-the-previous-props-or-state
 *
 * @param value - The value to store
 */
declare function usePrevious<T>(value: T): MutableRefObject<T | undefined>['current'];
export default usePrevious;
