import React from 'react';
type Dimensions = {
    width: number;
    height: number;
};
type ResizeHandler = (data: Dimensions) => void;
/**
 * Watches a React ref element for changes in size.
 *
 * @param ref - The React ref to observe size changes on
 */
declare const useResizeObserver: (ref: React.MutableRefObject<HTMLElement | null>, onResize?: ResizeHandler) => Dimensions;
export default useResizeObserver;
